<?php


namespace App\ViewModels\Consulta\ConsultaUpdateViewModel;


use App\Utils\Builder;

class RespostaNumericaDecimalBuilder implements Builder
{
    protected $id_pergunta;
    protected $resposta;

    /**
     * @param int $id_pergunta
     * @return RespostaNumericaDecimalBuilder
     */
    public function setIdPergunta(int $id_pergunta): RespostaNumericaDecimalBuilder
    {
        $this->id_pergunta = $id_pergunta;
        return $this;
    }

    /**
     * @param float $resposta
     * @return RespostaNumericaDecimalBuilder
     */
    public function setResposta(float $resposta): RespostaNumericaDecimalBuilder
    {
        $this->resposta = $resposta;
        return $this;
    }

    public function build(): RespostaNumericaDecimal
    {
        $resposta_numerica_decimal = new RespostaNumericaDecimal();
        $resposta_numerica_decimal->setidpergunta($this->id_pergunta);
        $resposta_numerica_decimal->setresposta($this->resposta);
        return $resposta_numerica_decimal;
    }
}